package kz.arta.synergy.workflow.mobile.android.forms.general.components.addressbook;

import java.io.Serializable;

/**
 * Created by neox on 30.05.16.
 * Адресная книга
 */
public class AddressBookModel implements Serializable {

    private String itemID;
    private String lastName;
    private String firstName;
    private String patronymic;
    private String name;
    private String itemType;
    private WorkPlaces[] workPlaces;
    private ItemsGroup[] itemsGroup;
    private boolean selected;

    public String getItemID() {
        return itemID;
    }

    public void setItemID(String itemID) {
        this.itemID = itemID;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getPatronymic() {
        return patronymic;
    }

    public void setPatronymic(String patronymic) {
        this.patronymic = patronymic;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getItemType() {
        return itemType;
    }

    public void setItemType(String itemType) {
        this.itemType = itemType;
    }

    public WorkPlaces[] getWorkPlaces() {
        return workPlaces;
    }

    public ItemsGroup[] getItemsGroup() {
        return itemsGroup;
    }

    public boolean isSelected() {
        return selected;
    }

    public void setSelected(boolean selected) {
        this.selected = selected;
    }

    public static class WorkPlaces implements Serializable {

        private String workPlaceID;
        private String organizationName;
        private String positionName;
        private String stringValue;

        public String getWorkPlaceID() {
            return workPlaceID;
        }

        public String getOrganizationName() {
            return organizationName;
        }

        public String getPositionName() {
            return positionName;
        }

        public String getStringValue() {
            return stringValue;
        }
    }

    public static class ItemsGroup implements Serializable {

        private String categoryID;
        private String categoryName;
        private Items[] items;

        public String getCategoryID() {
            return categoryID;
        }

        public String getCategoryName() {
            return categoryName;
        }

        public Items[] getItems() {
            return items;
        }
    }

    public static class Items implements Serializable {

        private String contact;

        public String getContact() {
            return contact;
        }
    }
}
